package com.neusoft.smart.pos.ota.persistent.mapper;

import com.neusoft.smart.pos.ota.persistent.domain.ApkStrategy;
import com.neusoft.smart.pos.ota.persistent.domain.ApkStrategyExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ApkStrategyMapper {
    int countByExample(ApkStrategyExample example);

    int deleteByExample(ApkStrategyExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(ApkStrategy record);

    int insertSelective(ApkStrategy record);

    List<ApkStrategy> selectByExample(ApkStrategyExample example);

    ApkStrategy selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") ApkStrategy record, @Param("example") ApkStrategyExample example);

    int updateByExample(@Param("record") ApkStrategy record, @Param("example") ApkStrategyExample example);

    int updateByPrimaryKeySelective(ApkStrategy record);

    int updateByPrimaryKey(ApkStrategy record);

    void batchInsert(@Param("items") List<ApkStrategy> items);
}